---
schema_version: "1"
id: e845c15a12ae5e3b308412278368608a5fba2f9965955395107bb95a551b4906
title: Salesforce Commerce Quotes API
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/salesforce-commerce/references/generated-api-specs/comm-quotes-ref.md
canonical_url: https://developer.salesforce.com/docs/commerce/salesforce-commerce/references/comm-quotes-ref
source_site: developer.salesforce.com
content_type: documentation
content_hash: 2f9a91be282301fd1956e0834caca64a953351ba0020a789d9b7a3e79c598c61
products:
  - B2B Commerce Developer Guide
  - Salesforce APIs
---
Salesforce Commerce Quotes API

# Salesforce Commerce Quotes API

Salesforce Commerce Quotes APIs provide a streamlined way for developers to manage the complete quote lifecycle within a web store. They provide access to individual quote details, all quotes tied to a customer account, and real-time quote status and expiration tracking, supporting streamlined account-based quote workflows.

To access these resources, your org must have the B2B Commerce license, and these APIs are available only to authenticated users.

**Note:** The Commerce Quotes APIs don't support product bundles. Only simple products can be included in quote.

**Version:** 67.0

## Servers

*   `https://{yourinstance}.salesforce.com/services/data/{version}`
    *   `version (default v67.0)`

## Operations

### GET Retrieve details for a specified quote.

`GET /commerce/webstores/{webstoreId}/quotes/{quoteId}`

Operation ID: `getQuoteDetails`.

This API is used on the My Quotes page of the B2B storefront to retrieve details of a specific quote record, including status, line items, and user comments.

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.
*   `quoteId` (path, string (Id), required) The ID of the quote record to be retrieved.
*   `fields` (query, array of string) A list of quote fields to return in the response.
    
    _Example_
    
    ```
    Quote.Status
    ```
    
    _Example_
    
    ```
    Quote.ExpirationDate
    ```
    
*   `effectiveAccountId` (query, string (Id), required) The user account ID used to fetch the associated quote details.

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `CommerceQuoteDetailRepresentation`.
    
    _Example: Example_ Example of all quotes associated with an account.
    
    ```
    {
      "fields": {
        "LastModifiedDate": {
          "dataName": "LastModifiedDate",
          "dataType": "xsd:dateTime",
          "label": "Last Modified Date",
          "text": "2025-11-24T10:17:37Z",
          "type": "datetime"
        },
        "ExpirationDate": {
          "dataName": "ExpirationDate",
          "dataType": "xsd:date",
          "label": "Expiration Date",
          "text": "2025-12-01",
          "type": "date"
        },
        "Subtotal": {
          "dataName": "Subtotal",
          "dataType": "xsd:double",
          "label": "Subtotal",
          "text": "5.0",
          "type": "currency"
        },
        "CreatedDate": {
          "dataName": "CreatedDate",
          "dataType": "xsd:dateTime",
          "label": "Created Date",
          "text": "2025-11-24T10:17:37Z",
          "type": "datetime"
        },
        "CurrencyIsoCode": {
          "dataName": "CurrencyIsoCode",
          "dataType": "xsd:string",
          "label": "Currency ISO Code",
          "text": "USD",
          "type": "picklist"
        },
        "LineItemCount": {
          "dataName": "LineItemCount",
          "dataType": "xsd:int",
          "label": "Line Items",
          "text": "1",
          "type": "int"
        }
      },
      "id": "0Q0LT0000007l2D0AQ",
      "lineItems": [
        {
          "fields": {
            "UnitPrice": {
              "dataName": "UnitPrice",
              "dataType": "xsd:double",
              "label": "Sales Price",
              "text": "5.0",
              "type": "currency"
            },
            "Subtotal": {
              "dataName": "Subtotal",
              "dataType": "xsd:double",
              "label": "Subtotal",
              "text": "5.0",
              "type": "currency"
            },
            "Quantity": {
              "dataName": "Quantity",
              "dataType": "xsd:double",
              "label": "Quantity",
              "text": "1.0",
              "type": "double"
            }
          },
          "id": "0QLLT000000DOKf4AO",
          "product": {
            "canViewProduct": null,
            "error": null,
            "fields": {
              "LastModifiedDate": {
                "dataName": "LastModifiedDate",
                "dataType": "STANDARD",
                "label": "LastModifiedDate",
                "text": "Mon Nov 24 09:58:13 GMT 2025",
                "type": "DATETIME"
              },
              "IsDeleted": {
                "dataName": "IsDeleted",
                "dataType": "STANDARD",
                "label": "IsDeleted",
                "text": "false",
                "type": "BOOLEAN"
              },
              "IsActive": {
                "dataName": "IsActive",
                "dataType": "STANDARD",
                "label": "IsActive",
                "text": "true",
                "type": "BOOLEAN"
              },
              "ProductPurpose": {
                "dataName": "ProductPurpose",
                "dataType": "STANDARD",
                "label": "ProductPurpose",
                "text": "Sell",
                "type": "PICKLIST"
              },
              "LastViewedDate": {
                "dataName": "LastViewedDate",
                "dataType": "STANDARD",
                "label": "LastViewedDate",
                "text": "Mon Nov 24 10:17:01 GMT 2025",
                "type": "DATETIME"
              },
              "LastReferencedDate": {
                "dataName": "LastReferencedDate",
                "dataType": "STANDARD",
                "label": "LastReferencedDate",
                "text": "Mon Nov 24 10:17:01 GMT 2025",
                "type": "DATETIME"
              },
              "CurrencyIsoCode": {
                "dataName": "CurrencyIsoCode",
                "dataType": "STANDARD",
                "label": "CurrencyIsoCode",
                "text": "USD",
                "type": "PICKLIST"
              },
              "Name": {
                "dataName": "Name",
                "dataType": "STANDARD",
                "label": "Name",
                "text": "prod1",
                "type": "STRING"
              },
              "SystemModstamp": {
                "dataName": "SystemModstamp",
                "dataType": "STANDARD",
                "label": "SystemModstamp",
                "text": "Mon Nov 24 09:58:14 GMT 2025",
                "type": "DATETIME"
              },
              "IsArchived": {
                "dataName": "IsArchived",
                "dataType": "STANDARD",
                "label": "IsArchived",
                "text": "false",
                "type": "BOOLEAN"
              },
              "CreatedById": {
                "dataName": "CreatedById",
                "dataType": "STANDARD",
                "label": "CreatedById",
                "text": "005LT000008mTXl",
                "type": "REFERENCE"
              },
              "CreatedDate": {
                "dataName": "CreatedDate",
                "dataType": "STANDARD",
                "label": "CreatedDate",
                "text": "Mon Nov 24 09:58:13 GMT 2025",
                "type": "DATETIME"
              },
              "ProductClass": {
                "dataName": "ProductClass",
                "dataType": "STANDARD",
                "label": "ProductClass",
                "text": "Simple",
                "type": "PICKLIST"
              },
              "LastModifiedById": {
                "dataName": "LastModifiedById",
                "dataType": "STANDARD",
                "label": "LastModifiedById",
                "text": "005LT000008mTXl",
                "type": "REFERENCE"
              }
            },
            "id": "01tLT00000A0Jw9YAF",
            "image": {
              "alternateText": "",
              "contentVersionId": null,
              "id": null,
              "mediaType": "Image",
              "sortOrder": 0,
              "thumbnailUrl": null,
              "title": "image",
              "url": "/img/b2b/default-product-image.svg"
            },
            "name": "prod1",
            "productClass": null,
            "purchaseQuantityRule": null,
            "sku": null,
            "success": true,
            "variationAttributes": []
          }
        }
      ],
      "notes": [
        {
          "content": "sds",
          "contentModifiedDate": "Mon Nov 24 10:17:37 GMT 2025",
          "createdBy": "Test User",
          "title": "Notes from User"
        }
      ],
      "quoteNumber": "00000046",
      "status": "Draft"
    }
    ```
    
*   **400** Bad Request - Invalid input parameters or request data.
    
    Media type: `application/json`. Schema: `CommerceQuoteDetailRepresentation`.
    
    _Example: InvalidQuoteId_
    
    ```
    {
      "errors": [
        {
          "code": "INVALID_INPUT",
          "message": "The specified quote ID is invalid."
        }
      ]
    }
    ```
    
    _Example: InvalidCustomFields_
    
    ```
    {
      "errors": [
        {
          "code": "INVALID_CUSTOM_FIELDS",
          "message": "One or more custom field values are invalid or don't meet required criteria."
        }
      ]
    }
    ```
    
*   **404** Not Found - Requested resource doesn't exist.
    
    Media type: `application/json`. Schema: `CommerceQuoteDetailRepresentation`.
    
    _Example: QuoteNotFound_
    
    ```
    {
      "errors": [
        {
          "code": "QUOTE_NOT_FOUND",
          "message": "The specified quote doesn't exist or you do not have access to it."
        }
      ]
    }
    ```
    
    _Example: WebstoreNotFound_
    
    ```
    {
      "errors": [
        {
          "code": "WEBSTORE_NOT_FOUND",
          "message": "The specified web store doesn't exist or you do not have access to it."
        }
      ]
    }
    ```
    
*   **500** Internal Server Error - Unexpected system error occurred.
    
    Media type: `application/json`. Schema: `CommerceQuoteDetailRepresentation`.
    
    _Example: InternalServerError_
    
    ```
    {
      "errors": [
        {
          "code": "INTERNAL_SERVER_ERROR",
          "message": "An unexpected error occurred while processing the request."
        }
      ]
    }
    ```
    

### PATCH Initiate a quote renegotiation or decline the quote. The API updates the status of an existing quote from Approved to Draft and saves the associated negotiation comments.

`PATCH /commerce/webstores/{webstoreId}/quotes/{quoteId}`

Operation ID: `updateQuote`.

This API is used on the My Quotes page of the B2B storefront to retrieve details of a specific quote record, including status, line items, and user comments.

This API initiates negotiation only when the quote status is Approved, as triggered by the Renegotiate or Decline action on the My Quotes page of the B2B storefront.

Updates quote status based on user action: changes Approved quotes back to Draft for renegotiation while saving comments, or sets status to Denied for rejected quotes.

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the Webstore
    
    The ID of the web store.
    
*   `quoteId` (path, string (Id), required) The ID of the quote whose status is to be updated.

#### Request body (required)

Media type: `application/json`. Schema: `UpdateQuoteInputRepresentation`.

_Example_

```
{
  "status": "Draft",
  "note": {
    "title": "Quote submitted for renegotiation",
    "content": "Requesting a 20% discount on the quoted price."
  }
}
```

#### Responses

*   **204** Success. The quote status has been updated. No response body is returned.
*   **400** Bad Request - Invalid input parameters or request data.
    
    Media type: `application/json`. Schema: `ErrorResponseRepresentation`.
    
    _Example: InvalidStatus_
    
    ```
    {
      "errors": [
        {
          "code": "INVALID_INPUT",
          "message": "The provided status value is invalid or not allowed for this quote."
        }
      ]
    }
    ```
    
*   **404** Not Found - Requested resource doesn't exist.
    
    Media type: `application/json`. Schema: `ErrorResponseRepresentation`.
    
    _Example: QuoteNotFound_
    
    ```
    {
      "errors": [
        {
          "code": "QUOTE_NOT_FOUND",
          "message": "The specified quote doesn't exist or isn't accessible."
        }
      ]
    }
    ```
    
    _Example: WebstoreNotFound_
    
    ```
    {
      "errors": [
        {
          "code": "WEBSTORE_NOT_FOUND",
          "message": "The specified web store doesn't exist or isn't accessible."
        }
      ]
    }
    ```
    
*   **500** Internal Server Error - Unexpected system error occurred.
    
    Media type: `application/json`. Schema: `ErrorResponseRepresentation`.
    
    _Example: InternalServerError_
    
    ```
    {
      "errors": [
        {
          "code": "INTERNAL_SERVER_ERROR",
          "message": "An unexpected error occurred while processing the request"
        }
      ]
    }
    ```
    

### GET Retrieve all quotes associated with a given account.

`GET /commerce/webstores/{webstoreId}/quotes`

Operation ID: `getQuotes`.

This API is used on the My Quotes page of the B2B storefront to display a list of a buyer’s quotes.

#### Parameters

*   `webstoreId` (path, string (Id), required) The ID of the web store.
*   `fields` (query, array of string) A list of fields to include in the response. Supports fields from the Quote, Quote Line Item, and Product2 objects.
    
    _Example_
    
    ```
    Quote.Status
    ```
    
    _Example_
    
    ```
    Quote.ExpirationDate
    ```
    
*   `effectiveAccountId` (query, string (Id), required) The user account ID used to fetch the associated quote details.
*   `sort` (query, QuotesSortOrderEnum)
*   `pageToken` (query, string) Specifies the base64 encoded page token to use to view a page of information. Page tokens are pageToken String returned as part of the response, such as currentPageToken or nextPageToken. If you don’t specify a value, the first page is returned.
    
    _Example_
    
    ```
    eyJkIjoxNjAxODQ3MTcyMDAwLCJpIjoiMU9zeHgwMDAwMDAwMU44Q0FJIiwicyI6MiwicSI6Ik9yZGVyZWREYXRlRGVzYyJ9
    ```
    
*   `pageSize` (query, number) The number of items per page. Valid values are from 1 through 200. The default value is 25.
*   `earliestDate` (query, string (date-time)) The ISO 8601 date string for the oldest date from which to get quote records. Return quotes created on or after this date. Valid format: yyyy-MM-dd'T'HH:mm:ss.SSSZ.
    
    _Example_
    
    ```
    2023-01-01T00:00:00.000+0000
    ```
    
*   `latestDate` (query, string (date-time)) The ISO 8601 date string for the most recent date from which to get quote records. Return quotes created before this date. Valid format: yyyy-MM-dd'T'HH:mm:ss.SSSZ.
    
    _Example_
    
    ```
    2023-12-31T23:59:59.999+0000
    ```
    

#### Responses

*   **200** Success
    
    Media type: `application/json`. Schema: `CommerceQuoteCollectionRepresentation`.
    
    _Example: Example_ Example of all quotes associated with an account.
    
    ```
    {
      "count": 1,
      "currentPageToken": null,
      "currentPageUrl": "/services/data/v66.0/commerce/webstores/0ZELT000000OuKP/quotes?effectiveAccountId=001LT00000w3S82&pageSize=10&sort=CreatedDateDesc",
      "errors": [],
      "nextPageToken": null,
      "nextPageUrl": null,
      "previousPageToken": null,
      "previousPageUrl": null,
      "quotes": [
        {
          "fields": {
            "LastModifiedDate": {
              "dataName": "LastModifiedDate",
              "dataType": "xsd:dateTime",
              "label": "Last Modified Date",
              "text": "2025-11-24T10:17:37Z",
              "type": "datetime"
            },
            "ExpirationDate": {
              "dataName": "ExpirationDate",
              "dataType": "xsd:date",
              "label": "Expiration Date",
              "text": "2025-12-01",
              "type": "date"
            },
            "Subtotal": {
              "dataName": "Subtotal",
              "dataType": "xsd:double",
              "label": "Subtotal",
              "text": "5.0",
              "type": "currency"
            },
            "CreatedDate": {
              "dataName": "CreatedDate",
              "dataType": "xsd:dateTime",
              "label": "Created Date",
              "text": "2025-11-24T10:17:37Z",
              "type": "datetime"
            },
            "CurrencyIsoCode": {
              "dataName": "CurrencyIsoCode",
              "dataType": "xsd:string",
              "label": "Currency ISO Code",
              "text": "USD",
              "type": "picklist"
            },
            "LineItemCount": {
              "dataName": "LineItemCount",
              "dataType": "xsd:int",
              "label": "Line Items",
              "text": "1",
              "type": "int"
            }
          },
          "id": "0Q0LT0000007l2D0AQ",
          "products": [
            {
              "canViewProduct": null,
              "error": null,
              "fields": {},
              "id": "01tLT00000A0Jw9YAF",
              "image": {
                "alternateText": "",
                "contentVersionId": null,
                "id": null,
                "mediaType": "Image",
                "sortOrder": 0,
                "thumbnailUrl": null,
                "title": "image",
                "url": "/img/b2b/default-product-image.svg"
              },
              "name": null,
              "productClass": null,
              "purchaseQuantityRule": null,
              "sku": null,
              "success": null,
              "variationAttributes": []
            }
          ],
          "quoteNumber": "00000046",
          "status": "Draft"
        }
      ]
    }
    ```
    
*   **400** Bad Request - Invalid input parameters or request data.
    
    Media type: `application/json`. Schema: `CommerceQuoteCollectionRepresentation`.
    
    _Example: InvalidEffectiveAccountId_
    
    ```
    {
      "errors": [
        {
          "code": "INVALID_INPUT",
          "message": "The specified effective account ID parameter is invalid."
        }
      ]
    }
    ```
    
    _Example: InvalidCustomFields_
    
    ```
    {
      "errors": [
        {
          "code": "INVALID_CUSTOM_FIELDS",
          "message": "One or more custom field values are invalid or do not meet required criteria."
        }
      ]
    }
    ```
    
*   **404** Not Found - Requested resource does not exist.
    
    Media type: `application/json`. Schema: `CommerceQuoteCollectionRepresentation`.
    
    _Example: QuoteNotFound_
    
    ```
    {
      "errors": [
        {
          "code": "QUOTE_NOT_FOUND",
          "message": "The specified quote does not exist or is not accessible"
        }
      ]
    }
    ```
    
    _Example: WebstoreNotFound_
    
    ```
    {
      "errors": [
        {
          "code": "WEBSTORE_NOT_FOUND",
          "message": "The specified quote doesn't exist or you don't have access to it."
        }
      ]
    }
    ```
    
*   **500** Internal Server Error - Unexpected system error occurred.
    
    Media type: `application/json`. Schema: `CommerceQuoteCollectionRepresentation`.
    
    _Example: InternalServerError_
    
    ```
    {
      "errors": [
        {
          "code": "INTERNAL_SERVER_ERROR",
          "message": "An unexpected error occurred while processing the request."
        }
      ]
    }
    ```
    

## Schemas

### CommerceQuoteDetailRepresentation

Unified representation containing the quote, quote line items, and product related fields.

Includes all fields of `CommerceQuoteBaseRepresentation`.

*   `lineItems` (_array of CommerceQuoteLineItemRepresentation_) A collection of quote line items associated with the specified quote.
*   `notes` (_array of CommerceNoteRepresentation_) A collection of notes exchanged between the buyer and sales representative.

### UpdateQuoteInputRepresentation

Input representation for updating a quote and/or creating an associated note.

*   `status` (_string_)
    
    A new status to be applied to the quote. Valid values:
    
    *   Draft: Renegotiate the quote.
    *   Denied: Decline the quote
    
    _Example_
    
    ```
    Draft
    ```
    
    _Example_
    
    ```
    Denied
    ```
    
*   `note` (_CommerceNoteRepresentation_)

### ErrorResponseRepresentation

ErrorResponseRepresentation

Representation of the error response.

*   `errorCode` (_string_) The error code.
    
    _Example_
    
    ```
    401
    ```
    
*   `message` (_string_) The message stating the reason for error, if any.
    
    _Example_
    
    ```
    Some error message
    ```
    
*   `errorEntityId` (_string_) The ID of the object associated with the error.
    
    _Example_
    
    ```
    02ixx0000004Hb4AAE
    ```
    

### QuotesSortOrderEnum

The sort order for quotes.

Type: `string`.

Allowed values: `CreatedDateAsc—Sorts by the oldest created date.`, `CreatedDateDesc—Sorts by the most recent created date.`.

### CommerceQuoteCollectionRepresentation

Unified representation of all quotes associated with an account, including success response and array-based errors.

*   `nextPageUrl` (_string_) The URL identifying the next page, or null if there isn’t a next page.
    
    _Example_
    
    ```
    /services/data/v66.0/commerce/webstores/0ZExx000000004r/quotes?effectiveAccountId=001xx000003GZ1X&pageSize=2&pageToken=eyJkYXRlIjoxNzU4NzIyMjUyMDAwLCJpZCI6IjBRMHh4MDAwMDAwNENDR0NBMiIsInF1ZXJ5U29ydE9yZGVyIjoiQ3JlYXRlZERhdGVEZXNjIn0%3D&sort=CreatedDateAsc
    ```
    
*   `nextPageToken` (_string_) The token identifying the next page, or null if there isn’t a next page.
    
    _Example_
    
    ```
    eyJkIjoxNjAxODQ3MTcyMDAwLCJpIjoiMU9zeHgwMDARTYUMU44Q0FJIiwicyI6MiwicSI6Ik9yZGVyZWREYXRlRGVzYyJ9
    ```
    
*   `previousPageUrl` (_string_) The URL identifying the previous page, or null if there isn’t a previous page.
    
    _Example_
    
    ```
    /services/data/v66.0/commerce/webstores/0ZExx000000004r/quotes?effectiveAccountId=001xx000003GZ1X&pageSize=2&pageToken=eyJkYXRlIjoxNzU4NzIyMjUyMDAwLCJpZCI6IjBRMHh4MDAwMDAwNENDR0NBMiIsInF1ZXJ5U29ydE9yZGVyIjoiQ3JlYXRlZERhdGVEZXNjIn0%3D&sort=CreatedDateAsc
    ```
    
*   `previousPageToken` (_string_) The token identifying the previous page, or null if there isn’t a previous page.
    
    _Example_
    
    ```
    eyJkIjoxNjAxODQ3MTcyMDAwLCJpIjoiMU9zeHgwMDAwMDAwMU44Q0FJIiwicyI6MiwicSI6Ik9yZGWERTYRlRGVzYyJ9
    ```
    
*   `currentPageUrl` (_string_) The URL identifying the current page.
    
    _Example_
    
    ```
    /services/data/v66.0/commerce/webstores/0ZExx000000004r/quotes?effectiveAccountId=001xx000003GZ1X&pageSize=2&pageToken=eyJkYXRlIjoxNzU4NzIyMjUyMDAwLCJpZCI6IjBRMHh4MDAwMDAwNENDR0NBMiIsInF1ZXJ5U29ydE9yZGVyIjoiQ3JlYXRlZERhdGVEZXNjIn0%3D&sort=CreatedDateAsc
    ```
    
*   `currentPageToken` (_string_) The token identifying the current page.
    
    _Example_
    
    ```
    eyJkIjoxNjAxODQ3MTcyMDAwLCJpIjoiMU9zeHgwMDAwMDAwMU44Q0FJIiwicyI6MiwicSI6Ik9yZGVyZWREYXRlRGVzYyJ9
    ```
    
*   `quotes` (_array of object_) A collection of quotes corresponding with a user account.
    
    Includes all fields of `CommerceQuoteBaseRepresentation`.
    
    *   `products` (_array of BuyerProductSummaryRepresentation_)
*   `errors` (_array of ErrorResponseRepresentation_) List of errors encountered during quote creation. Returns an empty array on success.

### CommerceQuoteBaseRepresentation

Unified representation of quote-related fields.

*   `id` (_string (Id)_, nullable) The ID of the quote, returned on success or null on error.
*   `quoteNumber` (_string_) The quote reference number of the quote.
    
    _Example_
    
    ```
    EBDMO-WJLPM-SDFHA-4CV4D
    ```
    
*   `status` (_string_) The status of the quote.
    
    _Example_
    
    ```
    Complete
    ```
    
*   `fields` (_object_)
    
    fields
    
    The quote record fields to be retrieved.
    
    _Example_
    
    ```
    {
      "ExpirationDate": {
        "Label": "Expiration Date",
        "Type": "datetime",
        "Text": "2024-12-10T11:54:32.000Z"
      },
      "Status": {
        "Label": "Status",
        "Type": "picklist",
        "Text": "Created"
      }
    }
    ```
    

### CommerceQuoteLineItemRepresentation

Representation for quote line item summary lookup.

*   `id` (_string_) The ID of the quote line item.
    
    _Example_
    
    ```
    10uxx0000004EOJAA2
    ```
    
*   `fields` (_object_)
    
    fields
    
    A list of quote line item fields to return in the response.
    
    _Example_
    
    ```
    {
      "Quantity": {
        "Label": "Quantity",
        "Type": "Double",
        "Text": 5
      },
      "UnitPrice": {
        "Label": "Unit Price",
        "Type": "Currency",
        "Text": 100
      }
    }
    ```
    
*   `product` (_BuyerProductSummaryRepresentation_)

### CommerceNoteRepresentation

Representation of notes on the quote.

*   `title` (_string_) The title of the note.
    
    _Example_
    
    ```
    Negotiation Request
    ```
    
*   `content` (_string_) The comments from both the buyer and sales representative on a specific quote.
    
    _Example_
    
    ```
    Please provide bulk pricing for 100+ units
    ```
    
*   `createdBy` (_string_) For internal use only. The name of the user who created the note.
    
    _Example_
    
    ```
    James Adam
    ```
    
*   `contentModifiedDate` (_string (datetime)_) For internal use only. The timestamp indicating when the content was last modified.

### BuyerProductSummaryRepresentation

BuyerProductSummaryRepresentation

Representation of the buyer product summary.

*   `id` (_string (uuid)_) The ID of the product.
    
    _Example_
    
    ```
    64bf835f-ada9-4538-b5a3-f4ed8672c7b5
    ```
    
*   `name` (_string_) The name of the product.
    
    _Example_
    
    ```
    Alpine Creative Suite
    ```
    
*   `sku` (_string_) The Stock Keeping Unit (SKU) of the product.
    
    _Example_
    
    ```
    #421234
    ```
    
*   `fields` (_object_) A collection of additional fields from the Product2 object.
    
    Additional properties: `RecordFieldRepresentation`.
    
*   `image` (_ProductMediaRepresentation_) The media details associated with a product.
*   `variationAttributes` (_array of ProductAttributeSummaryRepresentation_) A list of variation attributes (color, size, and so on) associated with the product.
*   `canViewProduct` (_boolean_) Indicates whether the context user can view the product (true) or not (false).
    
    _Example_
    
    ```
    true
    ```
    
*   `success` (_boolean_) Indicates whether the request was successful (true) or not (false).
    
    _Example_
    
    ```
    true
    ```
    
*   `error` (_ErrorResponseRepresentation_) Error response representation for buyer product summary.

### RecordFieldRepresentation

RecordFieldRepresentation

Representation of a generic record field containing a label and text value.

*   `type` (_string_) The type of the record field.
    
    _Example_
    
    ```
    string
    ```
    
    _Example_
    
    ```
    int
    ```
    
    _Example_
    
    ```
    currency
    ```
    
*   `label` (_string_) The label for the record field.
    
    _Example_
    
    ```
    Account
    ```
    
    _Example_
    
    ```
    Billing
    ```
    
    _Example_
    
    ```
    Address
    ```
    
    _Example_
    
    ```
    Status
    ```
    
*   `dataName` (_string_) The data name associated with the record field.
    
    _Example_
    
    ```
    isBuyer
    ```
    
*   `dataType` (_string_) The data type of the record field.
    
    _Example_
    
    ```
    xsd:string
    ```
    
*   `text` (_string_) The text value of the field. All record fields have a text value. To ensure that all clients can consume new content, inspect the record field’s type property. If it isn’t recognized, render the text value as the default case.
    
    _Example_
    
    ```
    Created
    ```
    
    _Example_
    
    ```
    34
    ```
    

### ProductMediaRepresentation

ProductMediaRepresentation

Representation of the media associated with a product.

*   `id` (_string (uuid)_) The ID of the product image.
    
    _Example_
    
    ```
    64bf835f-ada9-4538-b5a3-f4ed8672c7b5
    ```
    
*   `url` (_string (uri)_) The URL of the product media.
    
    _Example_
    
    ```
    /cms/delivery/media/MC2KSOOFJGRZDDJGQG4QJHLKHTZQ?recordId=01tRO000000FVNB&buyerId=001RO000001npBo
    ```
    
*   `thumbnailUrl` (_string (uri)_) The URL of the thumbnail for product media. If a value exists, it should be used for the thumbnail whether the image is natively uploaded or hosted externally. Not supported in enhanced CMS workspaces.
    
    _Example_
    
    ```
    /img/b2b/default-thumbnail-product-image.svg
    ```
    
*   `title` (_string_) The title of the product media.
    
    _Example_
    
    ```
    tshirt 5
    ```
    
*   `alternateText` (_string_) The alternative text for the product media.
    
    _Example_
    
    ```
    Pack of TShirt, 2oz - 6 pack
    ```
    
*   `sortOrder` (_integer_) The sort order of a media item within a media group.
    
    _Example_
    
    ```
    0
    ```
    
*   `mediaType` (_string_)  
    Allowed values: `IMAGE`, `VIDEO`, `DOCUMENT`.
*   `contentVersionId` (_string (uuid)_) The ID of the latest published content version if the media is stored as a ContentDocument. If the image is a customer-provided external URL, the value is null. Not supported in enhanced CMS workspaces.

### ProductAttributeSummaryRepresentation

ProductAttributeSummaryRepresentation

Representation of a product attribute summary.

*   `apiName` (_string_) The API name of the product attribute.
    
    _Example_
    
    ```
    size
    ```
    
*   `label` (_string_) The display label of the product attribute.
    
    _Example_
    
    ```
    Size
    ```
    
*   `value` (_string_) The display value of the product attribute.
    
    _Example_
    
    ```
    Medium
    ```
    
*   `sequence` (_integer_) The sequence of the attribute in the attribute set.
    
    _Example_
    
    ```
    1
    ```